import React from "react";
import people from "../../../assets/svg/people.svg"
import stars from "../../../assets/svg/stars.svg"
import tournament from "../../../assets/svg/tournament.svg"

const Highlights = ({imgSrc, imgAlt, desc}) => (
    <div className='flex flex-col items-center w-[345px] h-[250px] bg-lightGray rounded-2xl'>
        <img src={imgSrc} alt={imgAlt} className='w-[70px] h-[70px]'/>
        <div className='text-darkGray text-center font-outfit font-medium text-2xl'>
            {desc}
        </div>
    </div>
);

const Features = () => {
    return (

            <div className='flex flex-col items-center gap-10 w-[1065px] h-[450px] ml-[15%] mt-10 bg-deepPurple'>
                <div className='flex justify-center text-darkGray font-Outfit-ExtraBold font-bold text-7xl uppercase'>
                    How it works
                </div>
                <div className='flex gap-2'>
                    <Highlights imgSrc={people} imgAlt='People' desc='Bring People together and Game'/>
                    <Highlights imgSrc={tournament} imgAlt='Tournament'
                                desc='Create your type of Tournament and let our Engine handle your Experience. Anything is possible'/>
                    <Highlights imgSrc={stars} imgAlt='Stars'
                                desc='Bring on your Winner of the Tournament and give out MVP Medals for the best Players'/>
                </div>
            </div>


    )
}

export default Features