import React from "react";
import accessibility from '../../../assets/svg/Accessibility.svg'
import world from '../../../assets/svg/World.svg'

const DATAHUB = ['Tournament', 'MVP', 'Extras', 'Options', 'Types']
const DATAINFO = ['Infos', 'Demo', 'Stuff', 'Options', 'Types']
const DATAPRICE = ['Pricing', 'Features', 'Extras', 'Options', 'Specials']
const DATALEGAL = ['Tournament', 'MVP', 'Extras', 'Options', 'Types']
const DATASUPPORT = ['Tournament', 'MVP', 'Extras', 'Options', 'Types']

const InfoBox = ({infoCategory, arrName}) => {

    const list = arrName.map(value => (
        <div>{value}</div>
    ))

    return (
        <div className='flex flex-col gap-4 text-[16px] font-bold'>
            {infoCategory}
            <div className='gap-10 py-2 font-normal text-[14px]'>
                {list}
            </div>
        </div>
    )
}

const Footer = () => {
    return (
        <div className='w-[1065px] h-[325px] bg-deepPurple ml-[15%] mt-10 pt-10'>
            <div className='flex'>
                <div className='flex justify-start ml-[5%] text-2xl'>
                    TJONE
                </div>
                <div className='flex justify-end w-[960px] h-[175px] mr-[5%] text-darkGray gap-10'>
                    <InfoBox infoCategory='Hub' arrName={DATAHUB}/>
                    <InfoBox infoCategory='Info' arrName={DATAINFO}/>
                    <InfoBox infoCategory='Price' arrName={DATAPRICE}/>
                    <InfoBox infoCategory='Legal' arrName={DATALEGAL}/>
                    <InfoBox infoCategory='Support' arrName={DATASUPPORT}/>
                </div>
            </div>
            <div className='flex items-center w-[960px] ml-[5%] mt-10 border-t-2 border-darkGray'>
                <div className='flex gap-[418px]'>
                    <div className='flex justify-start'>
                        @ 2023 TJONE. All rights reserved.
                    </div>
                    <div className='flex items-center justify-end gap-4'>
                        <div>
                            Terms
                        </div>
                        <div>
                            Privacy
                        </div>
                        <div>
                            Contact
                        </div>
                        <div className='flex items-center gap-5'>
                            <div className='flex items-center'>
                                <img src={world} alt='World' className='w-5 h-5'/>
                                <div>
                                    EN
                                </div>
                            </div>
                            <img src={accessibility} alt='Accessibility' className='w-5 h-5'/>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    )
}

export default Footer