async function createTournament(tournament) {

    const baseURL = import.meta.env.VITE_BASE_URL;
    const url = `${baseURL}/api/v1/tournaments`
    const options = {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json',
        },
        body: JSON.stringify(tournament),
        mode: 'cors',
        credentials: 'omit'
    };

    try {
        console.log(`fetching ${url}`);
        console.log(options)

        const response = await fetch(url, options);
        const data = await response.text()
        console.log(data)


        if (!response.ok) {
            throw new HttpResponseError('Bad fetch', response);
        }
    } catch (error) {
        throw error;
    }
}

export { createTournament };
